summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2016-07-24 19:57:33 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2016-07-31 22:55:01 +0100
commitcaf1d5b8fead2e9fc25b9a7a2dc86a10671f65ef (patch)
treead49286407fbf5e7a5e3afe2ed545954edc3fcb3 /tests
parentc0c60b37bea5eb9fda9ee390d49bf5a42137c3ef (diff)
Test suite: Test pushing with forcing old and new tag format
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rw-r--r--tests/lib8
-rwxr-xr-xtests/tests/newtag-clone-nogit4
-rwxr-xr-xtests/tests/oldtag-clone-nogit4
3 files changed, 16 insertions, 0 deletions
diff --git a/tests/lib b/tests/lib
index 4bdd1e8..38605bd 100644
--- a/tests/lib
+++ b/tests/lib
@@ -614,6 +614,14 @@ t-drs () {
ln -sf /bin/true $drs_dispatch/policy-hook
}
+t-newtag () {
+ export tagpfx=archive/test-dummy
+ t-git-config dgit-distro.test-dummy.dgit-tag-format new
+}
+t-oldtag () {
+ t-git-config dgit-distro.test-dummy.dgit-tag-format old
+}
+
t-dsd () {
t-drs
t-git-config dgit-distro.test-dummy.ssh "$troot/dsd-ssh"
diff --git a/tests/tests/newtag-clone-nogit b/tests/tests/newtag-clone-nogit
new file mode 100755
index 0000000..915f9d3
--- /dev/null
+++ b/tests/tests/newtag-clone-nogit
@@ -0,0 +1,4 @@
+#!/bin/bash
+set -e
+. tests/lib
+t-alt-test
diff --git a/tests/tests/oldtag-clone-nogit b/tests/tests/oldtag-clone-nogit
new file mode 100755
index 0000000..915f9d3
--- /dev/null
+++ b/tests/tests/oldtag-clone-nogit
@@ -0,0 +1,4 @@
+#!/bin/bash
+set -e
+. tests/lib
+t-alt-test